<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Mpengguna extends CI_Model
{

    public $table = 'ms_pengguna';
    public $id = 'id_inc';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
           $this->menu_db = $this->load->database('menu', true);
    }

    // get all
    function get_all()
    {
        $this->menu_db->order_by($this->id, $this->order);
        return $this->menu_db->get($this->table)->result();
    }

    // get data by id
    function get_by_id($id)
    {
        $this->menu_db->where($this->id, $id);
        return $this->menu_db->get($this->table)->row();
    }
    
    // get total rows
    function total_rows($q = NULL) {
        $this->menu_db->like('id_inc', $q);
	$this->menu_db->or_like('nama', $q);
	$this->menu_db->or_like('username', $q);
	$this->menu_db->or_like('password', $q);
	$this->menu_db->from($this->table);
        return $this->menu_db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL) {
        $this->menu_db->order_by($this->id, $this->order);
        $this->menu_db->like('id_inc', $q);
	$this->menu_db->or_like('nama', $q);
	$this->menu_db->or_like('username', $q);
	$this->menu_db->or_like('password', $q);
	$this->menu_db->limit($limit, $start);
        return $this->menu_db->get($this->table)->result();
    }

    // insert data
    function insert($data)
    {
       return  $this->menu_db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->menu_db->where($this->id, $id);
        return   $this->menu_db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->menu_db->where($this->id, $id);
        return $this->menu_db->delete($this->table);
    }

}

/* End of file Mpengguna.php */
/* Location: ./application/models/Mpengguna.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2018-08-13 18:37:52 */
/* http://harviacode.com */